Skip to main content
GET
Get token by id

Path Parameters

tokenId
string | null
required

Token id Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

Query Parameters

timestamp
string

The Unix timestamp in seconds.nanoseconds format. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^((eq|lt|lte):)?\d{1,10}(\.\d{1,9})?$

Response

OK

admin_key
object | null

The public key which controls access to various network entities.

auto_renew_account
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

auto_renew_period
integer<int64> | null
Example:

null

created_timestamp
string

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

decimals
string
Example:

1000

deleted
boolean | null
Example:

true

expiry_timestamp
integer<int64> | null

The token's expiration time in nanoseconds since the Unix epoch. Note that this encoding differs from other entity expiry timestamps (e.g., accounts) which use a seconds.nanoseconds string format. This inconsistency is a known issue retained for backwards compatibility.

Example:

1234567890100000

fee_schedule_key
object | null

The public key which controls access to various network entities.

freeze_default
boolean
Example:

false

freeze_key
object | null

The public key which controls access to various network entities.

initial_supply
string
Example:

"1000000"

kyc_key
object | null

The public key which controls access to various network entities.

max_supply
string
Example:

"9223372036854775807"

metadata
string<byte>

Arbitrary binary data associated with this token class encoded in base64.

metadata_key
object | null

The key which can change the metadata of a token and individual NFTs.

modified_timestamp
string

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

name
string
Example:

"Token name"

memo
string
Example:

"token memo"

pause_key
object | null

The public key which controls access to various network entities.

pause_status
enum<string>
Available options:
NOT_APPLICABLE,
PAUSED,
UNPAUSED
Example:

"UNPAUSED"

supply_key
object | null

The public key which controls access to various network entities.

supply_type
enum<string>
Available options:
FINITE,
INFINITE
Example:

"INFINITE"

symbol
string
Example:

"ORIGINALRDKSE"

token_id
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

total_supply
string
Example:

"1000000"

treasury_account_id
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

type
enum<string>
Available options:
FUNGIBLE_COMMON,
NON_FUNGIBLE_UNIQUE
Example:

"FUNGIBLE_COMMON"

wipe_key
object | null

The public key which controls access to various network entities.

custom_fees
object